Resume from suspend takes much more time when nvidia-current driver is installed.

Bug #828761 reported by Lukasz Olszewski on 2011-08-18
132
This bug affects 26 people
Affects Status Importance Assigned to Milestone
Unity
Medium
Unassigned
compiz (Ubuntu)
Medium
Unassigned
nvidia-graphics-drivers (Ubuntu)
Medium
Unassigned
unity (Ubuntu)
Medium
Unassigned
xorg-server (Ubuntu)
Medium
Unassigned

Bug Description

Meanwhile only a cursor is visible but "enter password to unlock" window accepts keyboard input so it is actually active in background just isn't displayed. Maybe some GTK issue?
BTW it worked fine on alpha 2.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: lightdm 0.9.3-0ubuntu3
ProcVersionSignature: Ubuntu 3.0.0-8.11-generic 3.0.1
Uname: Linux 3.0.0-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Thu Aug 18 15:33:06 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 PATH=(custom, no user)
 LANG=pl_PL.UTF-8
 SHELL=/usr/bin/zsh
SourcePackage: lightdm
UpgradeStatus: Upgraded to oneiric on 2011-08-18 (0 days ago)
modified.conffile..etc.lightdm.lightdm.conf: [modified]
mtime.conffile..etc.lightdm.lightdm.conf: 2011-08-16T20:39:54.122603
---
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Jest katalogiem: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 280.13 Wed Jul 27 16:53:56 PDT 2011
 GCC version: gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu2)
.tmp.unity.support.test.0:

ApportVersion: 1.23-0ubuntu1
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,imgjpeg,decor,compiztoolbox,regex,move,winrules,place,imgpng,mousepoll,resize,grid,vpswitch,gnomecompat,session,animation,wall,unitymtgrabhandles,workarounds,fade,thumbnail,expo,scale,scaleaddon,unityshell]
CompositorRunning: compiz
DistUpgraded: Log time: 2011-07-18 12:49:12.968254
DistroCodename: oneiric
DistroRelease: Ubuntu 11.10
DistroVariant: ubuntu
DkmsStatus:
 nvidia-current, 280.13, 3.0.0-10-generic, x86_64: installed
 nvidia-current, 280.13, 3.0.0-11-generic, x86_64: installed
 virtualbox, 4.1.2, 3.0.0-10-generic, x86_64: installed
 virtualbox, 4.1.2, 3.0.0-11-generic, x86_64: installed
 virtualbox, 4.1.2, 3.0.0-9-generic, x86_64: installed
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
 nVidia Corporation GF108 [GeForce GT 425M] [10de:0df0] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Sony Corporation Device [104d:907a]
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
JockeyStatus:
 xorg:nvidia_current - Sprzętowo przyspieszany sterownik grafiki NVIDIA (Własnościowy, Włączony, Używany)
 kmod:nvidia_current - nvidia_current (Własnościowy, Wyłączony, Nieużywany)
MachineType: Sony Corporation VPCF1390X
NonfreeKernelModules: nvidia
Package: xorg-server (not installed)
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=0a9d93d9-414c-4222-9472-a3ee68458db1 ro nomodeset
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Tags: oneiric running-unity oneiric running-unity ubuntu compiz-0.9
Uname: Linux 3.0.0-11-generic x86_64
UpgradeStatus: Upgraded to oneiric on 2011-09-22 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 10/20/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R0190Y9
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR0190Y9:bd10/20/2010:svnSonyCorporation:pnVPCF1390X:pvrC607147L:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCF1390X
dmi.product.version: C607147L
dmi.sys.vendor: Sony Corporation
mtime.conffile..etc.lightdm.lightdm.conf: 2011-09-15T12:21:00.886202
version.compiz: compiz 1:0.9.5.94+bzr2803-0ubuntu5
version.ia32-libs: ia32-libs 20090808ubuntu22
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

description: updated
Changed in lightdm (Ubuntu):
status: New → Confirmed
Sam_ (and-sam) wrote :

After resume the desktop with running applications is visible for about two seconds, waiting a little displays login dialog. Also a fast click on e.g. open terminal window turns mouse cursor into a text cursor and login window appears.
I've also tested after resume if a click on 'post comment' here actually submits it, but it didn't work, the login dialog window appeared.

Sam_ (and-sam) wrote :

Sorry, forgot to mention
lightdm:
  Installed: 0.9.3-0ubuntu5
  Candidate: 0.9.3-0ubuntu5
  Version table:
 *** 0.9.3-0ubuntu5 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status

M880G [Mobility Radeon HD 4200]

Unsure if it's related, I've closed laptop cover twice in order to test the delay of login window, reviewed syslog which prints:

Aug 22 22:44:56 kernel: [ 5867.930513] ------------[ cut here ]------------
Aug 22 22:44:56 kernel: [ 5867.930520] WARNING: at /build/buildd/linux-3.0.0/kernel/power/suspend_test.c:53 suspend_test_finish+0x86/0x90()
Aug 22 22:44:56 kernel: [ 5867.930522] Hardware name: HP 625
Aug 22 22:44:56 kernel: [ 5867.930524] Component: resume devices, time: 11590
Aug 22 22:44:56 kernel: [ 5867.930525] Modules linked in: rfcomm bnep parport_pc ppdev binfmt_misc snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep wl(P) snd_pcm lib80211 bcma arc4 uvcvideo videodev radeon v4l2_compat_ioctl32 snd_seq_midi joydev snd_rawmidi snd_seq_midi_event ttm snd_seq drm_kms_helper brcmsmac(C) drm snd_timer snd_seq_device brcmutil(C) snd mac80211 btusb psmouse soundcore serio_raw bluetooth cfg80211 i2c_algo_bit snd_page_alloc video crc_ccitt sp5100_tco edac_core k10temp i2c_piix4 edac_mce_amd hp_wmi shpchp sparse_keymap wmi lp parport r8169 ahci libahci
Aug 22 22:44:56 kernel: [ 5867.930560] Pid: 8274, comm: pm-suspend Tainted: P WC 3.0.0-9-generic #12-Ubuntu
Aug 22 22:44:56 kernel: [ 5867.930563] Call Trace:
Aug 22 22:44:56 kernel: [ 5867.930568] [<ffffffff8105e7af>] warn_slowpath_common+0x7f/0xc0
Aug 22 22:44:56 kernel: [ 5867.930571] [<ffffffff8105e8a6>] warn_slowpath_fmt+0x46/0x50
Aug 22 22:44:56 kernel: [ 5867.930573] [<ffffffff810a2186>] suspend_test_finish+0x86/0x90
Aug 22 22:44:56 kernel: [ 5867.930576] [<ffffffff810a1e8a>] suspend_devices_and_enter+0xca/0x1b0
Aug 22 22:44:56 kernel: [ 5867.930579] [<ffffffff810a208d>] enter_state+0x11d/0x150
Aug 22 22:44:56 kernel: [ 5867.930581] [<ffffffff810a14b7>] state_store+0xb7/0xf0
Aug 22 22:44:56 kernel: [ 5867.930585] [<ffffffff812db01f>] kobj_attr_store+0xf/0x30
Aug 22 22:44:56 kernel: [ 5867.930588] [<ffffffff811d56cf>] sysfs_write_file+0xef/0x170
Aug 22 22:44:56 kernel: [ 5867.930592] [<ffffffff811662c3>] vfs_write+0xb3/0x180
Aug 22 22:44:56 kernel: [ 5867.930594] [<ffffffff811665ea>] sys_write+0x4a/0x90
Aug 22 22:44:56 kernel: [ 5867.930598] [<ffffffff815e25c2>] system_call_fastpath+0x16/0x1b
Aug 22 22:44:56 kernel: [ 5867.930600] ---[ end trace 65750b4f27b1e285 ]---
Aug 22 22:44:56 kernel: [ 5867.931264] PM: Finishing wakeup.
Aug 22 20:44:56 rtkit-daemon[1367]: The canary thread is apparently starving. Taking action.

Still present. Often accompanied by artifacts on a display and the cursor becomes laggy for several seconds. After switching to console (ctrl-alt-F1) it responds well so it might be related to Xorg.

apport information

tags: added: apport-collected compiz-0.9 ubuntu
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg-server (Ubuntu):
status: New → Confirmed
Robert Ancell (robert-ancell) wrote :

Can't think of any reason that lightdm could be affecting this. It's probably an X / gnome-settings-daemon / gnome-power-manager issue.

Changed in lightdm (Ubuntu):
importance: Undecided → Medium
Changed in lightdm:
importance: Undecided → Medium

Well you're right on this one Robert. After switching to gdm I get exactly the same results. Also switching between consoles with alt-ctrl-Fx takes much longer than it used to. So it seems it's not directly suspend related. I'm betting here on X/unity/compiz issue...

Changed in lightdm:
status: New → Invalid
Changed in lightdm (Ubuntu):
status: Confirmed → Invalid
summary: - Lightdm needs a long time to display its greeter after resuming from
- suspend.
+ Black screen with freezing mouse cursor and graphical artifacts is
+ displayed for several seconds after resuming from suspend or switching
+ consoles.

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed
Sam_ (and-sam) wrote :

I don't experience neither of descripted behaviour of last summary change.

lightdm:
  Installed: 1.0.0-0ubuntu4
  Candidate: 1.0.0-0ubuntu4
  Version table:
 *** 1.0.0-0ubuntu4 0

compiz:
  Installed: 1:0.9.6+bzr20110929-0ubuntu1
  Candidate: 1:0.9.6+bzr20110929-0ubuntu1
  Version table:
 *** 1:0.9.6+bzr20110929-0ubuntu1 0

xorg:
  Installed: 1:7.6+7ubuntu7
  Candidate: 1:7.6+7ubuntu7
  Version table:
 *** 1:7.6+7ubuntu7 0

Didier Roche (didrocks) on 2011-10-03
Changed in unity:
status: New → Confirmed
Sam_ (and-sam) wrote :

Idea, since I don't have the issue with radeon maybe it has something to do with nvidia? Bug #868982

Yes, without nvidia drivers installed everything works ok.

summary: - Black screen with freezing mouse cursor and graphical artifacts is
- displayed for several seconds after resuming from suspend or switching
- consoles.
+ Resume from suspend takes much more time when nvidia-current driver is
+ installed.
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed

I've just installed gnome shell and it works fine. It seems that this issue is limited to Unity.

Ingo Gerth (igerth) wrote :

Since recently, this problem has been reduced, but is not gone. Resuming goes much quicker now, but still takes ~5 seconds, as compared to 30-45s previously. I have a brand new laptop so I still consider 5 seconds slow.

Omer Akram (om26er) wrote :

is it also an issue on LiveCD or maybe a new install? I dont seem to be able to reproduce it I have nvidia-current.

On LiveCD it's fine and so is when I disable proprietary nvidia driver
on actual install. After a fresh install everything works fine until I
use jockey to enable proprietary driver. Knowing this I was almost sure
it's nvidia-current issue but then I've tried installing Gnome Shell and
everything worked ok with nvidia driver enabled :/ So now it seems to be
Unity/Compiz/Nvidia issue...

W dniu 25.10.2011 14:31, Omer Akram pisze:
> is it also an issue on LiveCD or maybe a new install? I dont seem to be
> able to reproduce it I have nvidia-current.
>

Omer Akram (om26er) on 2011-10-25
Changed in unity (Ubuntu):
importance: Undecided → Medium
Nils Braden (nils.nils) wrote :

Also got this problem running Xfce, though I installed Ubuntu with unity and only afterwarsd installed Xubuntu-desktop so I'm not sure if any Unity/Gnome-Stuff is interfering.

I also have some problems with alsa after resuming from standby but this is probably unrelated. Only I found this bug while troubleshooting the sound-problems.

nerdy_kid (nerdy-kid) wrote :

Anyone notice compiz/Xorg memory usage almost doubling after resume? I filled this: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/870042 Perhaps they are related?

Bryce Harrington (bryce) wrote :

Hey lcpak,

Hi, thanks for reporting this issue during the development period of
Ubuntu.

I notice there's not been further comments to the bug report since the
release came out, would you mind updating us on the status of it in the
release?

Are you still able to reproduce the issue? If not, do you think the bug
report can be closed, or do you think we should continue tracking it?

Changed in xorg-server (Ubuntu):
status: Confirmed → Incomplete

I still suffer from this bug. Everything described in #56 is current.

Still experiencing it here too.

che--- (hcguersoy) wrote :

Same observation here, too.

Maybe it's an accident but I observe this issue only then my Laptop (Dell Latitude E6420 with nVidia current drivers )is on battery but not then it's on AC.

Daniel Farrell (dfarrell07) wrote :

I'm experiencing this as well. There are two related (current) threads on this issue I've been following.
thttp://ubuntuforums.org/showthread.php?p=11445091
http://ubuntuforums.org/showthread.php?t=1867282

I have a very slow resume from suspend, with all of the symptoms described above. I also have a delay when switching back to Unity from any virtual terminal via CTRL+ALT+F1 to go to VT1 and CTRL+ALT+F7 to get back to X. I've been experience this problem sense the launch day of 11.10, when I upgraded. My system is up to date. I have nvidia graphics with nvidia-current drivers. Let me know if there is any more info I can provide that would be helpful.

che--- (hcguersoy) wrote :

Hi Folks,

tested a bit more:

- on AC: no problems, runs fine
- logging out my user, suspending out of the lightdm greeter and resume: works fine
- choosing "change user" and suspending out of the lightdm greeter and resume: long delay with as described

Taking a look at CPU consumption during the long delays tells me that 1 core is occupied by compiz, for a long time by X, too.

I experience the problem with both battery power and AC power.

martin (martin-probst-web) wrote :

I experience this issue as well on my desktop computer (shuttle xpc) since I recently installed a gfx-card with two digital outputs for a xinerama-setup and activated the nvidia-current driver. Before that I was using the internal graphics of my core i5 where everything worked fine (except that I couldn't connect my second monitor).
Now with the nvidia-driver, waking-up from suspend takes > 30s. First, the screen is black showing only the mouse pointer, which freezes repeatedly. Next, the mouse moves normally but it still takes several seconds until the locking-screen comes up. After unlocking, the unity bar shows colored noise until I hover over it which redraws it to its normal state.

Hope this will get fixed soon.

nerdy_kid (nerdy-kid) wrote :

Disabling the Unity plugin in ccsm fixes this for me. Sounds like it is just Unity and not Compiz...

To disable Unity and test suspend:

Search for ccsm in the dash, run the compiz config. Disable the Unity plugin. Hit <ctrl> <alt> <T> to get to a terminal, enter "sudo pm-suspend" without quotes, give it your password hit enter. Then on resume, just run "ccsm" from the same terminal and re-enable the Unity plugin.

Bolick (alexey-brodkin) wrote :

Unity panel rendering corruption on wake-up after "Suspend" state.
On the first mouse-over Unity panel it gets properly rendered.

nvidia-current drivers version "290.10-0ubuntu1~xedgers~oneiric1" on 32-bit Ubuntu 11.10 with nVidia Quadro 1000M

Bolick (alexey-brodkin) wrote :

I'd say that comment #67 makes sense. I disabled Unity plugin in CCSM and got near to immediate wake-up, but on wake-up I got everything black except active window and no screen decoration as well.
Attached is a screen-shot of this behavior.

Bolick (alexey-brodkin) wrote :

Another prove of #67 comment - I switched to Unity 2D and got immediate wake-up without any rendering issues.
Also I may mention that on another laptop with nVidia GeForce 8400M GS and free (nouveau) drivers Ubuntu 11.10 with Unity (3D) wakes immediately and without any issues. So it seems like sort of integration problem between nVidia restriced drivers and Unity (3D)

nerdy_kid (nerdy-kid) wrote :

Bolick, I forgot to mention that I do get rendering quirks on resume with the method I used (window contents white or black, whole screen black with one/two windows showing -- very similar to your screenshot).

David (hamassala-dicko) wrote :

Same here with
Ubuntu 11.10
Libreoffice LibreOffice 3.4.4 OOO340m1 (Build:402)
nVidia Corporation GT218 [Quadro FX 380M] (rev a2)
driver nvidia-current 280.13-0ubuntu6
Compiz 1.0.9.6

I'll add that the suspend and resume is 90% reliable. The remaining 10% it freezes with a black (though lit) screen.
Probably another nVidia driver related issue...

David (hamassala-dicko) wrote :

[sorry for the libreoffice comment above - absolutely not related of course]

nerdy_kid (nerdy-kid) wrote :

gnome-shell also does the same thing oddly enough, although it doesn't take as long to recover as Unity does.

Well it seems that it does but (for me at least) it happens much much less often with gnome-shell than with Unity and as you said it recovers much more smoothly. The difference is so big that I'm not even sure that it's the same bug... But if it is then we're left only with nvidia-drivers issue since gnome-shell doesn't use compiz...
BTW nerdy_kid: are you using lightdm or gdm?

nerdy_kid (nerdy-kid) wrote :

lightdm -- I was playing with the idea of switching just to see if it changed anything.

nerdy_kid (nerdy-kid) wrote :

ok I switched to gdm -- seems to have sped up gnome-shells resume a bit, but has had no effect on Unity.

Omer Akram (om26er) on 2012-01-23
no longer affects: lightdm (Ubuntu)
affects: lightdm → ubuntu
no longer affects: ubuntu
Changed in xorg-server (Ubuntu):
importance: Undecided → Medium
Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → Medium
Changed in compiz (Ubuntu):
importance: Undecided → Medium
Changed in unity:
importance: Undecided → Medium
Omer Akram (om26er) on 2012-01-23
Changed in xorg-server (Ubuntu):
status: Incomplete → Confirmed
Bolick (alexey-brodkin) wrote :

Another note - if I had music player running right before suspend it resumes to playback music right after I woke up my PC (I mean at least very soon like few seconds). Though screen is black for next say 30 seconds with only mouse cursor visible and moving with mouse movements.
I'd say that this proves concept of OS being awake and only video output is somehow disabled.

Edwin Lee (leeed2001) wrote :

I can confirm comment #78's type of behavior with programs clearly running underneath.

Sadly this bug is still present in 12.04 alpha 2.

tags: added: precise
Omer Akram (om26er) wrote :

How much time are we talking about? I just suspended and then resumed in the expected time. Can you please tell how long does it take for you ?

With this bug resuming from suspend takes 37s while it used to take less than 10s for me. 37 seconds on my machine is longer than booting the system from power off :)

Edwin Lee (leeed2001) wrote :

Haven't tried 12.04 yet for this bug, but for 11.10 I often encounter 30 seconds to 1 minute.

Edwin Lee (leeed2001) wrote :

Concur with #82, when I am in a hurry I have a couple times just hard-shutdown the machine and rebooted...often much faster than waiting...and I don't feel like I am waiting for an indefinite amount of time...

Chris Halse Rogers (raof) wrote :

This is an nvidia-graphics-drivers bug, for which we have a test case. Marking as a duplicate of that bug.

To post a comment you must log in.